package com.hotent.project.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.hotent.base.entity.BaseModel;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonProperty;
/**
 * 任务定制-预置人员审核表
 *
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2025-10-09
 */
@ApiModel(value="CostProjectTaskPersonnel对象", description="任务定制-预置人员审核表")
public class CostProjectTaskPersonnel extends BaseModel<CostProjectTaskPersonnel> {

    private static final long serialVersionUID = 1L;
    @TableId(value = "id", type = IdType.AUTO)
    @JsonProperty("id")
    private Long id;
    
    @ApiModelProperty(value = "流程id")
    @TableField("process_id")
    @JsonProperty("processId")
    private String processId;
    
    @ApiModelProperty(value = "节点id")
    @TableField("node_id")
    @JsonProperty("nodeId")
    private String nodeId;
    
    @ApiModelProperty(value = "用户id")
    @TableField("user_id")
    @JsonProperty("userId")
    private String userId;
    
    @ApiModelProperty(value = "是否主办人员 0是 1否")
    @TableField("is_main")
    @JsonProperty("isMain")
    private String isMain;
    
    @TableField("task_id")
    @JsonProperty("taskId")
    private String taskId;
    

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public String getProcessId() {
        return processId;
    }

    public void setProcessId(String processId) {
        this.processId = processId;
    }
    public String getNodeId() {
        return nodeId;
    }

    public void setNodeId(String nodeId) {
        this.nodeId = nodeId;
    }
    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }
    public String getIsMain() {
        return isMain;
    }

    public void setIsMain(String isMain) {
        this.isMain = isMain;
    }
    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "CostProjectTaskPersonnel{" +
            "id=" + id +
            ", processId=" + processId +
            ", nodeId=" + nodeId +
            ", userId=" + userId +
            ", isMain=" + isMain +
            ", taskId=" + taskId +
        "}";
    }
}
